package com.eyrolles.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.eyrolles.model.Auteur;
import com.eyrolles.model.Categorie;
import com.eyrolles.model.Livre;
import com.eyrolles.model.Publieur;
import com.eyrolles.model.SousCategorie;

public interface ILivreService {
	List<Livre> all();
	public Page<Livre> searchByTheme(int idTheme,int page,int size);
	public Page<Livre> searchByCategory(int idCategory,int page,int size);
	public Page<Livre> searchBySubCategory(int idSubCategory,int page,int size);
	public Page<Livre> searchByMC(String mc,int page,int size);
	Livre add(Livre nouveau);
	Livre add(Livre l,Auteur a);
	Livre details(int idLivre);
	Livre updateDetails(Livre modified);
	Livre delete(Livre l,Auteur a);
	Livre change(Livre l,Auteur a);
	Livre change(Livre l,Publieur p);
	public List<Livre> searchByTheme(List<Livre> livres,int idTheme);
	public List<Livre> searchByCategorie(List<Livre> livres,Categorie categorie);
	public List<Livre> searchBySousCategorie(List<Livre> livres,SousCategorie sousCategorie);
	public List<Livre> yearNews(List<Livre> livres);
	public List<Livre> monthNews(List<Livre> livres);
}
